From 36f6714e9f1e5b226313a6f06a8d7836f22afe9a Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jul 26 2017 16:45:36 +0000
Subject: [PATCH 908/1001] Only top-level elements should instantiate IntlProvider, not components


---

diff --git a/hubs/static/client/app/components/feed/Feed.jsx b/hubs/static/client/app/components/feed/Feed.jsx
index ec6b037..a11176e 100644
--- a/hubs/static/client/app/components/feed/Feed.jsx
+++ b/hubs/static/client/app/components/feed/Feed.jsx
@@ -1,7 +1,6 @@
 import React from 'react';
 import PropTypes from 'prop-types';
 import {
-  IntlProvider,
   defineMessages,
   FormattedMessage,
   } from 'react-intl';
@@ -26,15 +25,13 @@ export default class Feed extends React.Component {
         );
     });
     return (
-      <IntlProvider locale={navigator.language}>
-        <div className="component-feed">
-          { (items.length == 0 && this.props.loaded) ?
-            <FormattedMessage {...messages.no_items} tagName="i" />
-            :
-            items
-          }
-        </div>
-      </IntlProvider>
+      <div className="component-feed">
+        { (items.length == 0 && this.props.loaded) ?
+          <FormattedMessage {...messages.no_items} tagName="i" />
+          :
+          items
+        }
+      </div>
     );
   }
 
diff --git a/hubs/static/client/app/widgets/feed/Widget.jsx b/hubs/static/client/app/widgets/feed/Widget.jsx
index b266609..b60a6eb 100644
--- a/hubs/static/client/app/widgets/feed/Widget.jsx
+++ b/hubs/static/client/app/widgets/feed/Widget.jsx
@@ -1,4 +1,5 @@
 import React from 'react';
+import {IntlProvider} from 'react-intl';
 import ItemsGetter from '../../components/feed/ItemsGetter.jsx';
 import Feed from '../../components/feed/Feed.jsx';
 
@@ -23,19 +24,21 @@ export default class Widget extends React.Component {
 
   render() {
     return (
-      <ItemsGetter
-        url={this.props.url}
-        sse={{
-          eventName: "hubs:widget-updated",
-          shouldReload: (idx) => (parseInt(idx) === this.props.widgetIdx),
-        }}
-        handleData={this.handleServerData}
-        >
-        <Feed
-          items={this.state.items}
-          loaded={this.state.loaded}
-          />
-      </ItemsGetter>
+      <IntlProvider locale={navigator.language}>
+        <ItemsGetter
+          url={this.props.url}
+          sse={{
+            eventName: "hubs:widget-updated",
+            shouldReload: (idx) => (parseInt(idx) === this.props.widgetIdx),
+          }}
+          handleData={this.handleServerData}
+          >
+          <Feed
+            items={this.state.items}
+            loaded={this.state.loaded}
+            />
+        </ItemsGetter>
+      </IntlProvider>
     );
   }
 

